Databases
Get list of databases
Returns databases for the given project.
GET
/v1/projects/{projectId}/databasesAuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Path Parameters
projectId*string
Match
^(proj_)?([cC][^\s-]{8,}|[a-z0-9]+)$Query Parameters
cursor?|
Cursor for pagination
limit?number
Limit for pagination
Default
100Response Body
application/json
application/json
application/json
curl -X GET "https://api.prisma.io/v1/projects/string/databases"{
"data": [
{
"id": "string",
"type": "database",
"url": "http://example.com",
"name": "string",
"status": "failure",
"createdAt": "2019-08-24T14:15:22Z",
"isDefault": true,
"defaultConnectionId": "string",
"connections": [
{
"id": "string",
"type": "connection",
"url": "http://example.com",
"name": "string",
"createdAt": "2019-08-24T14:15:22Z",
"kind": "postgres",
"endpoints": {
"direct": {
"host": "string",
"port": 0
},
"pooled": {
"host": "string",
"port": 0
},
"accelerate": {
"host": "string",
"port": 0
}
},
"directConnection": {
"host": "string",
"pass": "string",
"user": "string"
},
"database": {
"id": "string",
"url": "http://example.com",
"name": "string"
}
}
],
"project": {
"id": "string",
"url": "http://example.com",
"name": "string"
},
"region": {
"id": "string",
"name": "string"
}
}
],
"pagination": {
"nextCursor": "string",
"hasMore": true
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}